AWS
probe XRay

# get_traces_summaries

Return XRay trace summaries

Run it now
View details

Type | probe
Module | chaosaws.s3.probes
Name | get_traces
Return | mapping

Usage

JSON

    {
      "name": "get-traces-summaries",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.xray.probes",
        "func": "get_traces_summaries"
      }
    }

YAML

    name: get-traces-summaries
    provider:
      func: get_traces_summaries
      module: chaosaws.xray.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
start_time | string | 2 minutes | Yes | Period Start | Get traces issued within a given window. For instance: `3 minutes`. Supported time units are `seconds`, `minutes`, `hours` and `days`
end_time | string | now | No | Period End | Get traces issued within a given window
filter_expression | string | groupname = “Default” “ | No | Filter Expression | Filter Expression to select traces

Signature

    def get_traces_summaries(
            start_time: Union[str, float] = '3 minutes',
            end_time: Union[str, float] = 'now',
            time_range_type: str = 'TraceId',
            filter_expression: str = 'groupname = "Default"',
            sampling: bool = False,
            sampling_strategy: Optional[Dict[str, float]] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe XRay

  ## `get_service_graph`

  Get a service graph
- AWS
  probe XRay

  ## `get_traces`

  Return XRay traces
- AWS
  action EC2

  ## `stop_instances`

  Stop the given EC2 instances or, if none is provided, all instances of the given availability zone